<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>ARTinBlockchain - Artist</title>

    <link href="css/bootstrap.min.css" rel="stylesheet">

  </head>
  <body>
    <div class="container text-center" style="width: 850px;">
      <h1 class="text-center" id="containerTitle">ARTinBlockchain - Artist</h1>
      <br/>
      <div id="loader">
        <p class="text-center">Loading...</p>
      </div>
      <div id="content" style="display: none;">
        <input type="button" id="ownedButton" value="Show owned artworks" onclick="MemberApp.showOwnedArtworks();">
        <input type="button" id="producedButton" value="Show produced artworks" onclick="ArtistApp.showMyProducedArtworks();">
        <div id="artworks">
          <h3 class="text-center" id="titleArtworks">Artworks you own</h3>
          <table class="table">
            <thead>
              <tr>
                <th scope="col">Id</th>
                <th scope="col">Artist</th>
                <th scope="col">Title</th>
                <th scope="col">Year</th>
                <th scope="col">Medium</th>
                <th scope="col">Dimensions</th>
                <th scope="col">Authentications</th>
                <th scope="col">Photo</th>
              </tr>
            </thead>
            <tbody id="artworksList">
            </tbody>
          </table>
        </div>
        <hr/>
        <div id="artistOps">
          <form id="registerArtwork" onsubmit="ArtistApp.registerArtwork(); ArtistApp.render(); return false;"> <!-- return false evita che la pagina faccia il refresh -->
            <table>
              <tr>
                <th>
                  Register artwork: <br><br>
                </th>
              </tr>
              <tr>
                <td>Title: <br><br></td>
                <td><input type="text" id="title"><br><br></td>
              </tr>
              <tr>
                <td>Year: <br><br></td>
                <td><input type="text" id="year"><br><br></td>
              </tr>
              <tr>
                <td>Medium: <br><br></td>
                <td><input type="text" id="medium"><br><br></td>
              </tr>
              <tr>
                <td>Dimensions: <br><br></td>
                <td><input type="text" id="dimensions"><br><br></td>
              </tr>
              <tr>
                <td>Photo: <br><br></td>
                <td><input type="file" id="imageUpload"><br><br></td>
              </tr>
              <tr>
                <td></td>
                <td class="text-right"><button type="submit" class="btn btn-primary">Register</button></td>
              </tr>
            </table>
          </form>
        </div>
        <hr/>
        <div id="memberOps" class="text-left">
          <button type="submit" onclick="window.location.href='https://ropsten.etherscan.io/address/0x4d89583d0eff1f5d424aab60d20c38e1f6719ab4#events'" class="btn btn-primary">Track relevant sales</button>
          <hr/>
    
          <form id="sellOnMarketplace" onSubmit="MemberApp.sellOnMarketplace(); return false;">
            Sell on marketplace:<br>
            <input type="text" placeholder="artworkId">
            <input type="text" placeholder="price(Ether)">
            <input type="submit" value="Submit"><br><br>
          </form>

          <form id="sellTo" onSubmit="MemberApp.sellTo(); return false;">
            Sell to a designated address:<br>
            <input type="text" placeholder="artworkId">
            <input type="text" placeholder="price(Ether)">
            <input type="text" placeholder="address">
            <input type="checkbox"> <i>Private price</i><br>
            <input type="submit" value="Submit"><br><br>
          </form>

          <form id="entrust" onSubmit="MemberApp.entrust(); return false;">
            Entrust your artwork to a broker:<br>
            <input type="text" placeholder="artworkId">
            <input type="text" placeholder="address">
            <input type="text" placeholder="commission(%)">
            <input type="submit" value="Submit"><br><br>
          </form>

          <form id="setAuthAddress" onSubmit="ArtistApp.setAuthAddress(); return false;">
            Set heir address:<br>
            <input type="text" placeholder="address">
            <input type="submit" value="Submit"><br><br>
          </form>

          <form id="withdraw" onSubmit="MemberApp.withdraw(ArtistApp.account); return false;">
            Withdraw resale right payments:<br>
            <input type="submit" value="Submit"><br><br>
          </form>
          <hr>
        </div>
     
        <form>
          <input type="button" id="artistsButton" value="Show artists" onclick="MemberApp.showArtists();">
          <input type="button" id="authenticatorsButton" value="Show authenticators" onclick="MemberApp.showAuthenticators();"><br>
          <input type="button" id="brokersButton" value="Show brokers" onclick="MemberApp.showBrokers();"><br>
          <input type="button" id="investorsButton" value="Show investors" onclick="MemberApp.showInvestors();"><br>
        </form>
        <div id="artists">
          <h3 class="text-center" id="titleTable">Registered artists:</h3>
          <table class="table">
            <thead>
              <tr>
                <th scope="col">Address</th>
                <th scope="col">Name</th>
                <th scope="col">Email</th>                
              </tr>
            </thead>
            <tbody id="artistsList">
            </tbody>
          </table>
        </div>
        <hr/>
        <div id="authenticators">
          <h3 class="text-center" id="titleTable">Registered authenticators:</h3>
          <table class="table">
            <thead>
              <tr>
                <th scope="col">Address</th>
                <th scope="col">Name</th>
                <th scope="col">Email</th>
              </tr>
            </thead>
            <tbody id="authenticatorsList">
            </tbody>
          </table>
        </div>
        <div id="brokers">
          <h3 class="text-center" id="titleTable">Registered brokers:</h3>
          <table class="table">
            <thead>
              <tr>
                <th scope="col">Address</th>
                <th scope="col">Name</th>
                <th scope="col">Email</th>
              </tr>
            </thead>
            <tbody id="brokersList">
            </tbody>
          </table>
        </div>
        <div id="investors">
          <h3 class="text-center" id="titleTable">Registered investors:</h3>
          <table class="table">
            <thead>
              <tr>
                <th scope="col">Address</th>
                <th scope="col">Professional</th>
                <th scope="col">Email</th>
              </tr>
            </thead>
            <tbody id="investorsList">
            </tbody>
          </table>
        </div>

        <p id="accountAddress" class="text-center"></p>
      </div>
    </div>

    <div class="modal fade" id="modalImg" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Image</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <img id="retrievedImg" width="400"/>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>
          </div>
        </div>
      </div>
    </div>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/web3.min.js"></script>
    <script src="js/truffle-contract.js"></script>

    <script src="https://unpkg.com/ipfs/dist/index.js"></script>
    <script src="https://unpkg.com/ipfs-http-client/dist/index.js"></script>
    <script src="js/IPFS.js"></script>
    
    <script src="js/memberApp.js"></script>
    <script src="js/artistApp.js"></script>
  </body>
</html>